# norootforbuild

Name: pwauth
Version: 2.3.8
Release: 1.1
#
Group: Productivity/Networking/Web/Servers
License: Apache License
#
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires: pam-devel
Requires:      apache2-mod_authnz_external > 2.1.1
#
Url:     http://unixpapa.com/pwauth/
Source:  http://unixpapa.com/software/%{name}-%{version}.tar.gz
Patch:   pwauth-2.3.8_config.patch
Patch1:  pwauth-2.3.8_makeitbuild.patch
#
Summary: A Unix Web Authenticator
%description
Pwauth is an authenticator designed to be used with mod_auth_external or
mod_authnz_external and the Apache HTTP Daemon to support reasonably secure web
authentication out of the system password database on most versions of Unix. 

What pwauth actually does is very simple. Given a login and a password, it
returns a status code indicating whether it is a valid login/password or not.
It is normally installed as an suid-root program, so other programs (like
Apache or a CGI program) can run it to check if a login/password is valid even
though they don't themselves have read access to the system password database.

Authors:
---------
    Jan Wolter

%prep
%setup
%patch
%patch1

%build
%{__make} LOCALFLAGS="%{optflags} -Wno-comment -fPIC -DPIC" LIB="-ldl -lpam -lcrypt -pie"

%install
%{__install} -D -m 0755 pwauth    %{buildroot}%{_bindir}/%{name}
%{__install} -D -m 0755 unixgroup %{buildroot}%{_bindir}/unixgroup

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/unixgroup
%doc CHANGES FORM_AUTH INSTALL README
%changelog
* Tue May 18 2010 mrueckert@suse.de
- update to 2.3.8
- fix uid in config patch, fixes bnc#457121
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Fri Apr 28 2006 mrueckert@suse.de
- Initial package of version 2.3.2
